CompoundControl.Type (Java SE 26 & JDK 26)
Description: declaration: module: java.desktop, package: javax.sound.sampled, class: CompoundControl, class: Type
Keywords: javax.sound.sampled.CompoundControl.Type class

# Class CompoundControl.Type

java.lang.Object
javax.sound.sampled.Control.Type
javax.sound.sampled.CompoundControl.Type

Enclosing class:
  `CompoundControl`

public static class CompoundControl.Type extends Control.Type
An instance of the `CompoundControl.Type` inner class identifies one kind of compound control.

Since:
  1.3

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `Type(String name)`
  Constructs a new compound control type.

- ## Method Summary

  ### Methods declared in class Control.Type

  `equals, hashCode, toString`
  Modifier and Type
  Method
  Description
  `final boolean`
  `equals(Object obj)`
  Indicates whether the specified object is equal to this control type, returning `true` if the objects are the same.
  `final int`
  `hashCode()`
  Returns a hash code value for this control type.
  `final String`
  `toString()`
  Returns type's name as the string representation of the control type.

  ### Methods declared in class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`
  Modifier and Type
  Method
  Description
  `protected Object`
  `clone()`
  Creates and returns a copy of this object.
  `protected void`
  `finalize()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Finalization is deprecated and subject to removal in a future release.
  `final Class<?>`
  `getClass()`
  Returns the runtime class of this `Object`.
  `final void`
  `notify()`
  Wakes up a single thread that is waiting on this object's monitor.
  `final void`
  `notifyAll()`
  Wakes up all threads that are waiting on this object's monitor.
  `final void`
  `wait()`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
  `final void`
  `wait(long timeoutMillis)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
  `final void`
  `wait(long timeoutMillis, int nanos)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

- ## Constructor Details

  - ### Type

    protected Type(String name)
    Constructs a new compound control type.
    Parameters:
      `name` - the name of the new compound control type